SELECT * FROM tablea

SELECT * FROM tableb


SELECT 
  *
FROM
  tablea a
  LEFT JOIN tableb b ON 1=1


SELECT 
  *
FROM
  tablea a
  LEFT JOIN tableb b ON a.kkey=b.kkey


/* Following query double counts */

SELECT 
  a.kkey,
  SUM(a.ddata) AS adata, 
  SUM(b.ddata) AS bdata
FROM
  tablea a
  LEFT JOIN tableb b ON a.kkey=b.kkey
GROUP BY
  a.kkey

/* Next two queries give the same result */

SELECT 
  a.kkey,
  SUM(a.ddata) AS adata, 
  b.ddata AS bdata
FROM
  tablea a
  LEFT JOIN 
   (SELECT
     kkey,
     SUM(ddata)AS ddata
   FROM
     tableb
   GROUP BY
     kkey
   ) b ON a.kkey=b.kkey
GROUP BY
  a.kkey,
  b.ddata


SELECT 
  a.kkey,
  a.ddata AS adata, 
  SUM(b.ddata) AS bdata
FROM
  (SELECT
     kkey,
     SUM(ddata)AS ddata
   FROM
     tablea
   GROUP BY
     kkey
   ) a 
  LEFT JOIN tableb b ON a.kkey=b.kkey
GROUP BY
  a.kkey,
  a.ddata


/* In complex situations the following approach is
preferred as gives less scope for errors */

SELECT 
  a.kkey,
  a.ddata AS adata, 
  b.ddata AS bdata
FROM
  (SELECT
     kkey,
     SUM(ddata)AS ddata
   FROM
     tablea
   GROUP BY
     kkey
   ) a 
  LEFT JOIN 
  (SELECT
     kkey,
     SUM(ddata)AS ddata
   FROM
     tableb
   GROUP BY
     kkey
   ) b ON a.kkey=b.kkey
GROUP BY
  a.kkey,
  a.ddata,
  b.ddata
